Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.xmpp
Class SoapEnvelopePacket

    java.lang.Object
      org.jivesoftware.smack.packet.Packet
          org.jivesoftware.smack.packet.IQ
              org.codehaus.xfire.xmpp.SoapEnvelopePacket

    public class SoapEnvelopePacket

extends org.jivesoftware.smack.packet.IQ

Author:
  Dan Diephouse

Nested Class Summary

Nested classes/interfaces inherited from class org.jivesoftware.smack.packet.IQ
`org.jivesoftware.smack.packet.IQ.Type`

Field Summary

Fields inherited from class org.jivesoftware.smack.packet.Packet
`ID_NOT_AVAILABLE`

Constructor Summary
`SoapEnvelopePacket(org.dom4j.Document document)`
`SoapEnvelopePacket(java.lang.String body)`

Method Summary
`java.lang.String` | `getChildElementXML()`

Methods inherited from class org.jivesoftware.smack.packet.IQ
`getType, setType, toXML`

Methods inherited from class org.jivesoftware.smack.packet.Packet
`addExtension, deleteProperty, getError, getExtension, getExtensions, getExtensionsXML, getFrom, getPacketID, getProperty, getPropertyNames, getTo, removeExtension, setError, setFrom, setPacketID, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoapEnvelopePacket

    public SoapEnvelopePacket(java.lang.String body)

### SoapEnvelopePacket

    public SoapEnvelopePacket(org.dom4j.Document document)

Method Detail

### getChildElementXML

    public java.lang.String getChildElementXML()

  Specified by:
    `getChildElementXML` in class `org.jivesoftware.smack.packet.IQ`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.